Modules | Alphabetical List | Class List | Directories | File List | GIL Home Page

# image_type Struct Template Reference
[xxx_type]

`#include <metafunctions.hpp>`

List of all members.

## Detailed Description

### template<typename T, typename L, bool IsPlanar = false, typename Alloc = std::allocator<unsigned char>>
struct boost::gil::image_type< T, L, IsPlanar, Alloc >

Returns the type of a homogeneous image given the channel type, layout, and whether it operates on planar data.

## Public Types

typedef image< pixel< T, L > , IsPlanar, Alloc > | type

The documentation for this struct was generated from the following file:

- metafunctions.hpp